Subject: [bug#27549] [PATCH] gnu: vpnc: Update to 0.5.3, revision-550.

From: Jelle Licht <[email-masked]>
Date: Wed, 05 Jul 2017 23:08:38 +0200

Tobias,

Tobias Geerinckx-Rice <[email-masked]> writes:

> Jelle,
>
> On 01/07/17 19:18, Tobias Geerinckx-Rice wrote:
>> I'd started on packaging those updated vpnc-scripts, [...]
>> I'll dig them up and see how far I got.
>
> Found 'em! If you have some spare time, could you give the attached
> patches a try? They look finished[0], but I don't have a VPN to test.
>
> I hope we can avoid relying on the copy of vpnc-scripts bundled with vpnc:
>
> - the bundled copy still lags behind upstream[1], even in trunk
> - unbundling allows using a stable release of the vpnc client instead
>   of a subversion checkout, while still easily updating the scripts
> - and shaves ~50MiB from our openconnect package.
Fair enough, this seems like a good reason to apply your patches ;-).

>
> Of course, it has to actually work for you first :-)

Good news! Your patches work, I verified this with my university vpn.
Why are we using this specific versions of the vpnc-scripts?

What is the problem regarding  `wrap-keys' (wrap-program?) exactly?

Regards,

Jelle